Gæsten vinker tjeneren hen til sig. "Der er en flue i suppen!" siger gæsten med hele ansigtet fordrejet i afsky -
Der er mange måder denne one-liner kan slutte, men fælles for dem er at tjeneren har et smart/afvæbnende/flabet/frækt come-back. Der er op mod 400.000 mailservere som typisk vil være udsat, ingen tjenere, og slet ingen smarte comebacks til den vulnerability som devco.re frigav den 5 februar, og som i går fik sin egen blog-post.

Alle versioner af Exim før 4.90.1

Exim er en MTA - en mail transfer agent - og uden de helt store engelsk kundskaber er de fleste nok klar over, hvor vi er på vej hen nu! Det er det (e)post system som kommer færdig installeret på Debian GNU/Linux systemer. Derfor har det været en hyppigt anvendt løsning hos de fleste tjeneste udbydere på Internet (ISP'erne). I marts 2017 undersøgte E-Soft Inc sagen, og fandt frem til at over halvdelen af alle offentligt tilgængelige mailservere på Internet havde Exim "i maven".

Men hvad gør jeg?!?!

Den forrige overskrift sagde det (næsten) :)
Opgradér til 4.90.1 og så er alt godt igen! Eller er det? Exim har gennem årene stort set siden dets 'fødsel' levet et udskældt liv, og det skorter da heller ikke på alternativer som Postfix, OpenSMTPD, og naturligvis ikke mindst Sendmail, der som et barn efter delivermail håndterede post på op mod 80% af alle offentligt tilgængelige mailservere i midten af 90'erne.